<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut == true) {
$diz -> head('Ваш пароль');
$diz -> title('Ваш пароль');
$msg.='<div class="fon">';
if (empty($_POST['pass']) || empty($_POST['pass2'])) {
$msg .= 'Не забудьте запомнить свой новый пароль!После изменения вам придется войти под новым паролем!<hr/>
<form action="./pass.php" method="post"><div>
Текущий пароль: '.$ya['passnow'].'<hr>
Новый пароль:<br/><input type="text" name="pass" value="" maxlength="12"/></br>
Повторите пароль:<br/><input type="text" name="pass2" value="" maxlength="12"/></br>
<input type="submit" value="Изменить"/></div></form>';
} else {
$parol = htmlspecialchars($db->real_escape_string($_POST['pass']));
$pass = htmlspecialchars($db->real_escape_string(md5(md5($parol))));
if(!preg_match("/[^a-z0-9]+/i",$parol)){
if(mb_strlen(trim($parol)) > 3){
if(trim($_POST['pass']) == trim($_POST['pass2'])){
$db -> query("UPDATE `users` SET `pass` = '".$pass."',`passnow` = '".$parol."' WHERE `id` = '".$ya['id']."'");
$msg .= 'Изменения приняты!';
}else{$msg .= 'Проверочный пароль введён не верно!';}
}else{$msg .= 'Пароль не может быть короче 4 символов!';}
}else{$msg .= 'Пароль может содержать только A-z и 0-9';}
}
$msg.='</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Личный кабинет</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else {
header('location: ../index.php');
}

?>